Plack::Middleware::LogDispatch(3)

NAME
Plack::Middleware::LogDispatch - Uses Log::Dispatch to configure logger

SYNOPSIS
  use Log::Dispatch;

  my $logger = Log::Dispatch->new;
  $logger->add( Log::Dispatch::File->new(...) );
  $logger->add( Log::Dispatch::DesktopNotification->new(...) );

  builder {
      enable "LogDispatch", logger => $logger;
      $app;
  }

  # use with Log::Dispatch::Config
  use Log::Dispatch::Config;
  Log::Dispatch::Config->configure('/path/to/log.conf');

  builder {
      enable "LogDispatch", logger => Log::Dispatch::Config->instance;
      ...
  }

DESCRIPTION
LogDispatch is a Plack::Middleware component that allows you to use Log::Dispatch to configure logging object.

CONFIGURATION

logger
    Log::Dispatch object to send logs to. Required.

AUTHOR
Tatsuhiko Miyagawa

SEE ALSO
Log::Dispatch